/*
  The contents of this file are subject to the Initial Developer's Public
  License Version 1.0 (the "License"); you may not use this file except in
  compliance with the License. You may obtain a copy of the License here:
  http://www.flamerobin.org/license.html.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
  License for the specific language governing rights and limitations under
  the License.

  The Original Code is FlameRobin (TM).

  The Initial Developer of the Original Code is Nando Dessena.

  Portions created by the original developer
  are Copyright (C) 2004 Nando Dessena.

  All Rights Reserved.

  $Id: role.cpp,v 1.6 2005/08/31 21:17:52 nandod Exp $

  Contributor(s):
*/

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#include <string>

#include "core/Visitor.h"
#include "MetadataItemVisitor.h"
#include "role.h"
//-----------------------------------------------------------------------------
std::string Role::getCreateSqlTemplate() const
{
	return	"CREATE ROLE role_name;\n";
}
//-----------------------------------------------------------------------------
const std::string Role::getTypeName() const
{
	return "ROLE";
}
//-----------------------------------------------------------------------------
void Role::acceptVisitor(MetadataItemVisitor *visitor)
{
	visitor->visit(*this);
}
//-----------------------------------------------------------------------------
